Bug 101916 - [PATCH] Remove INSTALLS_SHLIB from ports
[PATCH] Remove INSTALLS_SHLIB from ports
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: clsung
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-12 12:40 UTC by gslin
Modified: 2006-11-29 02:33 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gslin 2006-08-12 12:40:13 UTC
- Remove All INSTALLS_SHLIB from ports

Fix: 

Replace the following list by:

perl -pi -e 's,^INSTALLS_SHLIBS=.*$,USE_LDCONFIG=yes,g'

Then fix misc/compat4x/Makefile (special case) manually.

accessibility/at-spi/Makefile
accessibility/atk/Makefile
accessibility/gail/Makefile
accessibility/gnome-mag/Makefile
accessibility/gnome-speech/Makefile
accessibility/linux-atk/Makefile
arabic/libitl/Makefile
archivers/bzip2/Makefile
archivers/dact/Makefile
archivers/dynamite/Makefile
archivers/libarc/Makefile
archivers/libarchive/Makefile
archivers/libcabinet/Makefile
archivers/libcomprex/Makefile
archivers/liblzxcomp/Makefile
archivers/libmspack/Makefile
archivers/libunrar/Makefile
archivers/libzip/Makefile
archivers/lzo/Makefile
archivers/lzo2/Makefile
archivers/orange/Makefile
archivers/rpm/Makefile
archivers/ucl/Makefile
archivers/unshield/Makefile
archivers/xar/Makefile
archivers/xpk/Makefile
archivers/zipios++/Makefile
astro/cfitsio/Makefile
astro/gpsd/Makefile
astro/gpsdrive/Makefile
astro/jday/Makefile
astro/libnova/Makefile
astro/orsa/Makefile
audio/Maaate/Makefile
audio/adpcm/Makefile
audio/akode/Makefile
audio/akode-plugins-jack/Makefile
audio/akode-plugins-mpc/Makefile
audio/akode-plugins-mpeg/Makefile
audio/akode-plugins-oss/Makefile
audio/akode-plugins-polypaudio/Makefile
audio/akode-plugins-resampler/Makefile
audio/akode-plugins-xiph/Makefile
audio/alienwah/Makefile
audio/alsaplayer/Makefile
audio/anthem/Makefile
audio/arts/Makefile
audio/beast/Makefile
audio/boodler/Makefile
audio/ccaudio/Makefile
audio/cdparanoia/Makefile
audio/cmt/Makefile
audio/ecasound/Makefile
audio/esound/Makefile
audio/faac/Makefile
audio/faad/Makefile
audio/flac/Makefile
audio/flite/Makefile
audio/fluidsynth/Makefile
audio/freealut/Makefile
audio/gdam/Makefile
audio/gnome-media/Makefile
audio/gnomoradio/Makefile
audio/gsi/Makefile
audio/gsm/Makefile
audio/hawkvoice/Makefile
audio/icegenerator/Makefile
audio/id3lib/Makefile
audio/jack/Makefile
audio/java-xmms2/Makefile
audio/juk/Makefile
audio/k3bmonkeyaudioplugin/Makefile
audio/ladspa/Makefile
audio/lame/Makefile
audio/liba52/Makefile
audio/liba52-devel/Makefile
audio/libao/Makefile
audio/libaudiofile/Makefile
audio/libcdaudio/Makefile
audio/libcddb/Makefile
audio/libgpod/Makefile
audio/libid3tag/Makefile
audio/libjackasyn/Makefile
audio/libmad/Makefile
audio/libmikmod/Makefile
audio/libmpcdec/Makefile
audio/libmpd/Makefile
audio/libmusicbrainz/Makefile
audio/libofa/Makefile
audio/libogg/Makefile
audio/libsamplerate/Makefile
audio/libshout/Makefile
audio/libshout2/Makefile
audio/libsidplay/Makefile
audio/libsidplay2/Makefile
audio/libsndfile/Makefile
audio/libtremor/Makefile
audio/libtunepimp/Makefile
audio/libtunepimp-old/Makefile
audio/libvorbis/Makefile
audio/libworkman/Makefile
audio/linux-alsa-lib/Makefile
audio/linux-arts/Makefile
audio/linux-esound/Makefile
audio/linux-libaudiofile/Makefile
audio/linux-libogg/Makefile
audio/linux-libvorbis/Makefile
audio/linux-openal/Makefile
audio/mac/Makefile
audio/madplay/Makefile
audio/marlin/Makefile
audio/mpeglib_artsplug/Makefile
audio/mpiosh/Makefile
audio/nas/Makefile
audio/openal/Makefile
audio/osalp/Makefile
audio/polypaudio/Makefile
audio/portaudio/Makefile
audio/py-taglib/Makefile
audio/quelcom/Makefile
audio/rioutil/Makefile
audio/rplay/Makefile
audio/sdl_mixer/Makefile
audio/sdl_sound/Makefile
audio/speex/Makefile
audio/speex-devel/Makefile
audio/sphinx/Makefile
audio/swhplugins/Makefile
audio/taglib/Makefile
audio/tse3/Makefile
audio/twolame/Makefile
audio/ufmcontrol-i18n/Makefile
audio/wavpack/Makefile
audio/wsoundserver/Makefile
audio/xfce4-mixer/Makefile
audio/xmms-arts_output/Makefile
audio/xmms-cdread/Makefile
audio/xmms-crystality/Makefile
audio/xmms-imms/Makefile
audio/xmms-infopipe/Makefile
audio/xmms-kde/Makefile
audio/xmms-mailnotify/Makefile
audio/xmms-real-random/Makefile
benchmarks/hpl/Makefile
biology/emboss/Makefile
biology/libgenome/Makefile
cad/brlcad/Makefile
cad/gtkwave/Makefile
cad/tclspice/Makefile
chinese/autoconvert/Makefile
chinese/gcin/Makefile
chinese/libchewing/Makefile
chinese/libtabe/Makefile
chinese/oxim/Makefile
chinese/pcmanx/Makefile
chinese/tcl83/Makefile
chinese/tk83/Makefile
chinese/vflib/Makefile
chinese/wenju/Makefile
chinese/xcin25/Makefile
comms/gammu/Makefile
comms/gnokii/Makefile
comms/gsmlib/Makefile
comms/hamlib/Makefile
comms/libfec/Makefile
comms/libticables/Makefile
comms/lirc/Makefile
comms/openobex/Makefile
comms/rxtx/Makefile
comms/spandsp/Makefile
comms/trustedqsl/Makefile
converters/enca/Makefile
converters/fribidi/Makefile
converters/libiconv/Makefile
converters/libutf-8/Makefile
converters/mimelib/Makefile
converters/psiconv/Makefile
converters/recode/Makefile
converters/uulib/Makefile
databases/clip/Makefile
databases/db2/Makefile
databases/db3/Makefile
databases/db4/Makefile
databases/db41/Makefile
databases/db43/Makefile
databases/db44/Makefile
databases/dbconnect/Makefile
databases/dbh/Makefile
databases/edb/Makefile
databases/evolution-data-server/Makefile
databases/fastdb/Makefile
databases/firebird-server/Makefile
databases/fireprofile/Makefile
databases/freetds/Makefile
databases/gdbm/Makefile
databases/gigabase/Makefile
databases/gnome-db/Makefile
databases/grass/Makefile
databases/hk_classes/Makefile
databases/keximdb/Makefile
databases/knoda/Makefile
databases/libdbi/Makefile
databases/libgda/Makefile
databases/libgda2/Makefile
databases/libgda3/Makefile
databases/libgdamm/Makefile
databases/libgnomedb/Makefile
databases/libiodbc/Makefile
databases/libmemcache/Makefile
databases/libodbc++/Makefile
databases/libsdb/Makefile
databases/libudbc/Makefile
databases/libzdb/Makefile
databases/mdbtools/Makefile
databases/mergeant/Makefile
databases/metakit/Makefile
databases/mird/Makefile
databases/msql/Makefile
databases/msql3/Makefile
databases/mysql++/Makefile
databases/mysql++1/Makefile
databases/mysql-connector-odbc/Makefile
databases/mysql2odbc/Makefile
databases/mysqlcppapi/Makefile
databases/namazu2/Makefile
databases/oracle_odbc_driver/Makefile
databases/pgcluster/Makefile
databases/tdb/Makefile
databases/postgis/Makefile
databases/postgresql-libpgeasy/Makefile
databases/postgresql-libpq++/Makefile
databases/postgresql-libpqxx/Makefile
databases/postgresql73-client/Makefile
databases/postgresql74-client/Makefile
databases/postgresql80-client/Makefile
databases/postgresql81-client/Makefile
databases/puredb/Makefile
databases/pxlib/Makefile
databases/qdbm/Makefile
databases/qdbm/Makefile
databases/sqlite2/Makefile
databases/sqlite3/Makefile
databases/sqlrelay/Makefile
databases/tora/Makefile
databases/typhoon/Makefile
databases/unixODBC/Makefile
databases/xapian-core/Makefile
databases/xbase/Makefile
databases/xbsql/Makefile
deskutils/bitcollider/Makefile
deskutils/doodle/Makefile
deskutils/dragstack/Makefile
deskutils/glabels/Makefile
deskutils/gnome-utils/Makefile
deskutils/gnotime/Makefile
deskutils/gtkjournal/Makefile
deskutils/gucharmap/Makefile
deskutils/karamba/Makefile
deskutils/kbirthday/Makefile
deskutils/kdepim3/Makefile
deskutils/ktagebuch/Makefile
deskutils/planner/Makefile
deskutils/preferences.app/Makefile
deskutils/tagutils/Makefile
deskutils/xfce4-notes-plugin/Makefile
deskutils/xfce4-xkb-plugin/Makefile
devel/ElectricFence/Makefile
devel/ORBit/Makefile
devel/ORBit2/Makefile
devel/ace/Makefile
devel/ace+tao/Makefile
devel/adime/Makefile
devel/alf/Makefile
devel/apr/Makefile
devel/argtable/Makefile
devel/asis/Makefile
devel/asmutils/Makefile
devel/atlas/Makefile
devel/atlas-devel/Makefile
devel/autogen/Makefile
devel/boehm-gc/Makefile
devel/bonobo/Makefile
devel/bonobo-conf/Makefile
devel/boost/Makefile
devel/c2lib/Makefile
devel/ccrtp/Makefile
devel/cdk/Makefile
devel/cgilib/Makefile
devel/clanlib/Makefile
devel/clanlib-devel/Makefile
devel/clint/Makefile
devel/codeblocks/Makefile
devel/colorer/Makefile
devel/cppunit/Makefile
devel/cstringbuffer/Makefile
devel/dbus/Makefile
devel/directfb/Makefile
devel/dmalloc/Makefile
devel/dotconf/Makefile
devel/dotconf++/Makefile
devel/e4graph/Makefile
devel/ecgi/Makefile
devel/eet/Makefile
devel/elfsh/Makefile
devel/entity/Makefile
devel/eris/Makefile
devel/fam/Makefile
devel/fastcrc/Makefile
devel/fib/Makefile
devel/florist/Makefile
devel/flowdesigner/Makefile
devel/fnccheck/Makefile
devel/freelibiberty/Makefile
devel/g-wrap/Makefile
devel/gamin/Makefile
devel/gaul/Makefile
devel/gconf/Makefile
devel/gconf2/Makefile
devel/gconfmm/Makefile
devel/gconfmm26/Makefile
devel/gengameng/Makefile
devel/gettext/Makefile
devel/glib-java/Makefile
devel/glib12/Makefile
devel/glib20/Makefile
devel/glibmm/Makefile
devel/gnome-build/Makefile
devel/gnome-vfs/Makefile
devel/gnome-vfs1/Makefile
devel/gnome-vfsmm/Makefile
devel/goffice/Makefile
devel/gpc/Makefile
devel/gpsim/Makefile
devel/gtkmozedit/Makefile
devel/guichan/Makefile
devel/gwenhywfar/Makefile
devel/icu/Makefile
devel/icu2/Makefile
devel/ixlib/Makefile
devel/jakelib2/Makefile
devel/jclassinfo/Makefile
devel/jep/Makefile
devel/jrtplib/Makefile
devel/json-c/Makefile
devel/judy/Makefile
devel/kdesdk3/Makefile
devel/kdesvn/Makefile
devel/kdevelop/Makefile
devel/kxl/Makefile
devel/kyra/Makefile
devel/lasi/Makefile
devel/lwp/Makefile
devel/leaktracer/Makefile
devel/leoarg/Makefile
devel/libIDL/Makefile
devel/libPropList/Makefile
devel/libU77/Makefile
devel/libafterbase/Makefile
devel/libassa/Makefile
devel/libassetml/Makefile
devel/libast/Makefile
devel/libaura/Makefile
devel/libbegemot/Makefile
devel/libbonobo/Makefile
devel/libbonobomm/Makefile
devel/libcapsinetwork/Makefile
devel/libchipcard/Makefile
devel/libconfuse/Makefile
devel/libcwd/Makefile
devel/libdaemon/Makefile
devel/libdasm/Makefile
devel/libdfui/Makefile
devel/libdict/Makefile
devel/libdlmalloc/Makefile
devel/libdnsres/Makefile
devel/libds/Makefile
devel/libdsp/Makefile
devel/libedit/Makefile
devel/libelf/Makefile
devel/libevent/Makefile
devel/libffi/Makefile
devel/libformat/Makefile
devel/libfs++/Makefile
devel/libgconf-java/Makefile
devel/libgetline/Makefile
devel/libghthash/Makefile
devel/libgii/Makefile
devel/libgiigic/Makefile
devel/libglade/Makefile
devel/libglade-java/Makefile
devel/libglade2/Makefile
devel/libglademm/Makefile
devel/libglademm24/Makefile
devel/libgnugetopt/Makefile
devel/libgsf/Makefile
devel/libgtop/Makefile
devel/libhash/Makefile
devel/libhoard/Makefile
devel/libical/Makefile
devel/libisc/Makefile
devel/libltdl15/Makefile
devel/libmatheval/Makefile
devel/libmba/Makefile
devel/libmcve/Makefile
devel/libmimedir/Makefile
devel/libmtrie/Makefile
devel/libnotify/Makefile
devel/liboil/Makefile
devel/libol/Makefile
devel/libole2/Makefile
devel/liboop/Makefile
devel/libopendaap/Makefile
devel/libopensync/Makefile
devel/libpci/Makefile
devel/libpdel/Makefile
devel/libpeak/Makefile
devel/libphish/Makefile
devel/libpperl/Makefile
devel/libredblack/Makefile
devel/libs11n/Makefile
devel/libshbuf/Makefile
devel/libshhmsg/Makefile
devel/libshhopt/Makefile
devel/libsigc++/Makefile
devel/libsigc++12/Makefile
devel/libsigc++20/Makefile
devel/libsigcx/Makefile
devel/libslang/Makefile
devel/libslang2/Makefile
devel/libsoup/Makefile
devel/libstatgrab/Makefile
devel/libstrfunc/Makefile
devel/libstroke/Makefile
devel/libtai/Makefile
devel/libtap/Makefile
devel/libtar/Makefile
devel/libtecla/Makefile
devel/libthai/Makefile
devel/libticalcs/Makefile
devel/libtifiles/Makefile
devel/libukcprog/Makefile
devel/libunicode/Makefile
devel/libusb/Makefile
devel/libvanessa_adt/Makefile
devel/libvanessa_logger/Makefile
devel/libvanessa_socket/Makefile
devel/libvc/Makefile
devel/libxalloc/Makefile
devel/libytnef/Makefile
devel/libzvbi/Makefile
devel/linux-allegro/Makefile
devel/linux-glib2/Makefile
devel/linux-libglade/Makefile
devel/log4c/Makefile
devel/log4cplus/Makefile
devel/log4cpp/Makefile
devel/log4cxx/Makefile
devel/lrmi/Makefile
devel/m17n-lib/Makefile
devel/memcheck/Makefile
devel/mercator/Makefile
devel/mico/Makefile
devel/mime/Makefile
devel/mimir/Makefile
devel/mpatrol/Makefile
devel/ncnf/Makefile
devel/ncurses/Makefile
devel/newt/Makefile
devel/ngpt/Makefile
devel/nspr/Makefile
devel/oaf/Makefile
devel/obby/Makefile
devel/omniNotify/Makefile
devel/omniORB/Makefile
devel/open-beagle/Makefile
devel/openthreads/Makefile
devel/openzz/Makefile
devel/orbitcpp/Makefile
devel/ossp-al/Makefile
devel/ossp-cfg/Makefile
devel/ossp-ex/Makefile
devel/ossp-l2/Makefile
devel/ossp-val/Makefile
devel/ossp-var/Makefile
devel/ossp-xds/Makefile
devel/ppl/Makefile
devel/qca/Makefile
devel/p5-SDL/Makefile
devel/pcre/Makefile
devel/pcre++/Makefile
devel/pcsc-lite/Makefile
devel/qsa/Makefile
devel/physfs/Makefile
devel/physfs-devel/Makefile
devel/popt/Makefile
devel/poslib/Makefile
devel/prepstools/Makefile
devel/present/Makefile
devel/privman/Makefile
devel/ptypes/Makefile
devel/pwlib/Makefile
devel/py-omniorb/Makefile
devel/qextmdi/Makefile
devel/qssl/Makefile
devel/raknet/Makefile
devel/rapidsvn/Makefile
devel/readline/Makefile
devel/regexx/Makefile
devel/rhtvision/Makefile
devel/root/Makefile
devel/rote/Makefile
devel/rpc2/Makefile
devel/rudiments/Makefile
devel/rvm/Makefile
devel/safestr/Makefile
devel/sdl12/Makefile
devel/sdlmm/Makefile
devel/sdts++/Makefile
devel/sfslite/Makefile
devel/shapelib/Makefile
devel/shmap/Makefile
devel/silc-toolkit/Makefile
devel/soup/Makefile
devel/st/Makefile
devel/stlport/Makefile
devel/str/Makefile
devel/styx/Makefile
devel/subversion/Makefile
devel/swig11/Makefile
devel/t1lib/Makefile
devel/tclmore/Makefile
devel/tclreadline/Makefile
devel/tclxml/Makefile
devel/towitoko/Makefile
devel/tvision/Makefile
devel/upnp/Makefile
devel/upnp104/Makefile
devel/varconf/Makefile
devel/vstr/Makefile
devel/xfc/Makefile
devel/xlslib/Makefile
devel/xparam/Makefile
devel/xxl/Makefile
devel/ztcl/Makefile
devel/zthread/Makefile
devel/zziplib/Makefile
devel/acovea/Makefile
devel/libcoyotl/Makefile
devel/libevocosm/Makefile
dns/adns/Makefile
dns/firedns/Makefile
dns/idnkit/Makefile
dns/ldns/Makefile
dns/libdjbdns/Makefile
dns/libidn/Makefile
dns/posadis/Makefile
dns/powerdns/Makefile
editors/gedit/Makefile
editors/ghex/Makefile
editors/kate-plugins/Makefile
editors/koffice-kde3/Makefile
editors/kxmleditor/Makefile
editors/mlview/Makefile
editors/nvi-devel/Makefile
editors/xmleditor/Makefile
emulators/hercules/Makefile
emulators/lib765/Makefile
emulators/libspectrum/Makefile
emulators/libvm68k/Makefile
emulators/twin/Makefile
finance/aqbanking/Makefile
finance/gnucash/Makefile
finance/gnucash-devel/Makefile
finance/kmymoney2/Makefile
finance/ktoblzcheck/Makefile
finance/libofx/Makefile
finance/openhbci/Makefile
finance/pfpro/Makefile
finance/qhacc/Makefile
finance/qtstalker/Makefile
finance/quantlib/Makefile
french/med/Makefile
french/verbiste/Makefile
ftp/curl/Makefile
ftp/curlpp/Makefile
ftp/ftplib/Makefile
ftp/kbear/Makefile
ftp/ncftp3/Makefile
ftp/rexx-curl/Makefile
ftp/wzdftpd/Makefile
ftp/linux-curl/Makefile
games/adgali/Makefile
games/atlantikdesigner/Makefile
games/deng/Makefile
games/ember/Makefile
games/freecell-solver/Makefile
games/gcompris/Makefile
games/ggz-client-libs/Makefile
games/kdegames3/Makefile
games/libdungeonmaker/Makefile
games/libfov/Makefile
games/libggz/Makefile
games/libmaitretarot/Makefile
games/libmt_client/Makefile
games/libshhcards/Makefile
games/pinball/Makefile
games/quakeforge/Makefile
games/ssamtse/Makefile
games/taxipilot/Makefile
games/vamos/Makefile
games/xfce4-toys/Makefile
german/ksteak/Makefile
graphics/Cgraph/Makefile
graphics/Coin/Makefile
graphics/EZWGL/Makefile
graphics/GraphicsMagick/Makefile
graphics/Hermes/Makefile
graphics/ImageMagick/Makefile
graphics/OpenEXR/Makefile
graphics/SciPlot/Makefile
graphics/aalib/Makefile
graphics/allegrogl/Makefile
graphics/aqsis/Makefile
graphics/autotrace/Makefile
graphics/bugle/Makefile
graphics/cairo/Makefile
graphics/cairo-java/Makefile
graphics/cairomm/Makefile
graphics/cal3d/Makefile
graphics/cal3d-devel/Makefile
graphics/cegui/Makefile
graphics/cinepaint/Makefile
graphics/corona/Makefile
graphics/demeter/Makefile
graphics/devil/Makefile
graphics/diacanvas2/Makefile
graphics/digikam/Makefile
graphics/djvulibre/Makefile
graphics/dynamechs/Makefile
graphics/edje/Makefile
graphics/epeg/Makefile
graphics/epsilon/Makefile
graphics/esmart/Makefile
graphics/evas/Makefile
graphics/exiv2/Makefile
graphics/fnlib/Makefile
graphics/freeglut/Makefile
graphics/freeimage/Makefile
graphics/gd/Makefile
graphics/gdal/Makefile
graphics/gdchart/Makefile
graphics/gdk-pixbuf/Makefile
graphics/geos/Makefile
graphics/gephex/Makefile
graphics/giblib/Makefile
graphics/gimp/Makefile
graphics/gimp1/Makefile
graphics/gimpshop/Makefile
graphics/gle/Makefile
graphics/glew/Makefile
graphics/glide3/Makefile
graphics/glitz/Makefile
graphics/glpng/Makefile
graphics/gltt/Makefile
graphics/gnustep-slideshowkit/Makefile
graphics/goom/Makefile
graphics/graphviz/Makefile
graphics/gts/Makefile
graphics/gthumb/Makefile
graphics/gtkcairo/Makefile
graphics/gtkdps/Makefile
graphics/guilib/Makefile
graphics/hpoj/Makefile
graphics/imlib/Makefile
graphics/imlib2/Makefile
graphics/inventor/Makefile
graphics/ipe/Makefile
graphics/irit/Makefile
graphics/ivtools/Makefile
graphics/jasper/Makefile
graphics/jbigkit/Makefile
graphics/jpeg/Makefile
graphics/jpeg-mmx/Makefile
graphics/k3d/Makefile
graphics/kooka/Makefile
graphics/kdegraphics3/Makefile
graphics/kuickshow/Makefile
graphics/lfview/Makefile
graphics/lib3ds/Makefile
graphics/libGLU/Makefile
graphics/libafterimage/Makefile
graphics/libart/Makefile
graphics/libart_lgpl/Makefile
graphics/libdjvu++/Makefile
graphics/libdrm/Makefile
graphics/libexif/Makefile
graphics/libexif-gtk/Makefile
graphics/libfpx/Makefile
graphics/libflash/Makefile
graphics/libgdgeda/Makefile
graphics/libgeotiff/Makefile
graphics/libggi/Makefile
graphics/libggigcp/Makefile
graphics/libggimisc/Makefile
graphics/libggiwmh/Makefile
graphics/libgltext/Makefile
graphics/libglut/Makefile
graphics/libgnomecanvas/Makefile
graphics/libgnomecanvasmm/Makefile
graphics/libgnomecanvasmm26/Makefile
graphics/libgphoto2/Makefile
graphics/libimg/Makefile
graphics/libkexif/Makefile
graphics/libkipi/Makefile
graphics/liblug/Makefile
graphics/libmng/Makefile
graphics/libmorph/Makefile
graphics/libpano12/Makefile
graphics/libpcd/Makefile
graphics/libqglviewer/Makefile
graphics/librsvg/Makefile
graphics/librsvg2/Makefile
graphics/libsvg/Makefile
graphics/libsvg-cairo/Makefile
graphics/libungif/Makefile
graphics/libv3d/Makefile
graphics/libvisual/Makefile
graphics/libwmf/Makefile
graphics/libx3dtk/Makefile
graphics/linux-gdk-pixbuf/Makefile
graphics/linux-imlib/Makefile
graphics/linux-jpeg/Makefile
graphics/linux-libmng/Makefile
graphics/linux-png/Makefile
graphics/linux-png10/Makefile
graphics/linux-tiff/Makefile
graphics/linux-ungif/Makefile
graphics/maverik/Makefile
graphics/mesagl/Makefile
graphics/ming/Makefile
graphics/netpbm/Makefile
graphics/nurbs++/Makefile
graphics/oglext/Makefile
graphics/ogre3d/Makefile
graphics/opencv/Makefile
graphics/openproducer/Makefile
graphics/openrm/Makefile
graphics/osg/Makefile
graphics/paintlib/Makefile
graphics/panorama/Makefile
graphics/pgplot/Makefile
graphics/pixie/Makefile
graphics/pixieplus/Makefile
graphics/plotutils/Makefile
graphics/png/Makefile
graphics/poppler/Makefile
graphics/proj/Makefile
graphics/pstoedit/Makefile
graphics/qgis/Makefile
graphics/qglviewer/Makefile
graphics/quesa/Makefile
graphics/ray++/Makefile
graphics/sage/Makefile
graphics/sane-backends/Makefile
graphics/sdl_gfx/Makefile
graphics/sdl_image/Makefile
graphics/sdl_ttf/Makefile
graphics/showimg/Makefile
graphics/simage/Makefile
graphics/sswf/Makefile
graphics/svgalib/Makefile
graphics/swfdec/Makefile
graphics/swfmill/Makefile
graphics/tiff/Makefile
graphics/tifmerge/Makefile
graphics/tulip/Makefile
graphics/urt/Makefile
graphics/vigra/Makefile
graphics/vips/Makefile
graphics/wxsvg/Makefile
graphics/xmedcon/Makefile
graphics/xmms-gdancer/Makefile
graphics/xmms-paranormal/Makefile
graphics/xmorph/Makefile
graphics/xpm/Makefile
graphics/xrml/Makefile
graphics/yafray/Makefile
irc/bitchx/Makefile
irc/bopm/Makefile
irc/kvirc/Makefile
irc/sircd/Makefile
irc/xchat-mircryption/Makefile
japanese/Canna/Makefile
japanese/FreeWnn-lib/Makefile
japanese/Wnn6-lib/Makefile
japanese/Wnn7-lib/Makefile
japanese/anthy/Makefile
japanese/eb/Makefile
japanese/chasen-base/Makefile
japanese/expect/Makefile
japanese/kakasi/Makefile
japanese/libicq/Makefile
japanese/libjconv/Makefile
japanese/libslang/Makefile
japanese/libtomoe-gtk/Makefile
japanese/mecab/Makefile
japanese/mh/Makefile
japanese/ming/Makefile
japanese/tcl76/Makefile
japanese/tcl80/Makefile
japanese/tk42/Makefile
japanese/tk80/Makefile
japanese/tkstep80/Makefile
japanese/tomoe/Makefile
japanese/vflib/Makefile
japanese/xdtp/Makefile
java/gjdoc/Makefile
java/janosvm/Makefile
java/jc/Makefile
java/jmp/Makefile
java/kaffe/Makefile
java/sablevm/Makefile
korean/uniksc/Makefile
lang/abcl/Makefile
lang/alisp/Makefile
lang/awka/Makefile
lang/bigloo/Makefile
lang/ccscript/Makefile
lang/chicken/Makefile
lang/cim/Makefile
lang/clips/Makefile
lang/dylan/Makefile
lang/ecl/Makefile
lang/elan/Makefile
lang/elk/Makefile
lang/embryo/Makefile
lang/expect/Makefile
lang/ferite/Makefile
lang/gauche/Makefile
lang/gcc-ooo/Makefile
lang/gnat/Makefile
lang/gnomebasic/Makefile
lang/gnustep-objc/Makefile
lang/guile/Makefile
lang/itcl/Makefile
lang/libjit/Makefile
lang/librep/Makefile
lang/libutils/Makefile
lang/linux-libg2c/Makefile
lang/lua4/Makefile
lang/lua50/Makefile
lang/njs/Makefile
lang/mono/Makefile
lang/munger/Makefile
lang/ofc/Makefile
lang/onyx/Makefile
lang/oorexx/Makefile
lang/open-cobol/Makefile
lang/osb-jscore/Makefile
lang/otcl/Makefile
lang/parrot/Makefile
lang/python/Makefile
lang/python-devel/Makefile
lang/python23/Makefile
lang/q/Makefile
lang/rexx-imc/Makefile
lang/rexx-regina/Makefile
lang/ruby16/Makefile
lang/ruby18/Makefile
lang/schemetoc/Makefile
lang/see/Makefile
lang/see-devel/Makefile
lang/siod/Makefile
lang/smalltalk/Makefile
lang/tcl80/Makefile
lang/tcl81-thread/Makefile
lang/tcl82/Makefile
lang/tcl83/Makefile
lang/tcl84/Makefile
lang/tclX/Makefile
lang/tensile/Makefile
lang/tinycobol/Makefile
lang/tolua++/Makefile
lang/gnat-gcc34/Makefile
mail/addresses/Makefile
mail/cclient/Makefile
mail/dbmail/Makefile
mail/dsbl-testers/Makefile
mail/dspam/Makefile
mail/dspam-devel/Makefile
mail/elm+ME/Makefile
mail/evolution/Makefile
mail/evolution-sharp/Makefile
mail/faces/Makefile
mail/firemime/Makefile
mail/gkrellmmailwatch2/Makefile
mail/gmime/Makefile
mail/gmime2/Makefile
mail/jamlib/Makefile
mail/libdomainkeys/Makefile
mail/libesmtp/Makefile
mail/libetpan/Makefile
mail/libnewmail/Makefile
mail/libspf/Makefile
mail/libspf-alt/Makefile
mail/libspf2/Makefile
mail/libspf2-10/Makefile
mail/libsrs/Makefile
mail/libsrs2/Makefile
mail/libsrs_alt/Makefile
mail/libvmime/Makefile
mail/p5-Mail-ClamAV/Makefile
mail/pfqueue/Makefile
mail/pantomime/Makefile
mail/perdition/Makefile
mail/pop3lite/Makefile
mail/popd/Makefile
mail/whoson/Makefile
mail/xfmail/Makefile
math/GiNaC/Makefile
math/R/Makefile
math/arpack/Makefile
math/atlas/Makefile
math/atlas-devel/Makefile
math/bihar/Makefile
math/blas/Makefile
math/blitz++/Makefile
math/ccmath/Makefile
math/cgal/Makefile
math/cln/Makefile
math/dcdflib/Makefile
math/eispack/Makefile
math/fftw/Makefile
math/fftw3/Makefile
math/freefem/Makefile
math/fung-calc/Makefile
math/gambit/Makefile
math/gnumeric/Makefile
math/gsl/Makefile
math/guppi/Makefile
math/labplot/Makefile
math/lapack/Makefile
math/ldouble/Makefile
math/libRmath/Makefile
math/libgmp4/Makefile
math/libmath++/Makefile
math/libneural/Makefile
math/libqalculate/Makefile
math/libranlib/Makefile
math/linpack/Makefile
math/matrix/Makefile
math/mpexpr/Makefile
math/mpfr/Makefile
math/muparser/Makefile
math/pari/Makefile
math/plplot/Makefile
math/qhull/Makefile
math/qwtplot3d/Makefile
math/reed-solomon/Makefile
math/scilab-toolbox-swt/Makefile
math/simd-viterbi/Makefile
math/spar/Makefile
math/vtk/Makefile
math/vtk43/Makefile
math/wfmath/Makefile
math/yacas/Makefile
mbone/mcl/Makefile
misc/amanda-server/Makefile
misc/bdelta/Makefile
misc/chmlib/Makefile
misc/compat3x/Makefile
misc/compat4x/Makefile
misc/compat5x/Makefile
misc/e2fsprogs-libuuid/Makefile
misc/firestring/Makefile
misc/gctpc/Makefile
misc/gtl/Makefile
misc/kaddressbook-plugins/Makefile
misc/kdeedu3/Makefile
misc/kdeutils3/Makefile
misc/kfile-plugins/Makefile
misc/kicker-applets/Makefile
misc/knewsticker-scripts/Makefile
misc/konq-plugins/Makefile
misc/ksig/Makefile
misc/libhome/Makefile
misc/libmcal/Makefile
misc/libpri/Makefile
misc/libpri-bristuff/Makefile
misc/ossp-uuid/Makefile
misc/projectionlib/Makefile
misc/renamedlgplugins/Makefile
misc/skyutils/Makefile
misc/xdelta/Makefile
misc/xfce4-iconbox/Makefile
misc/xfce4-weather-plugin/Makefile
misc/xosd/Makefile
misc/kbfx/Makefile
multimedia/avifile/Makefile
multimedia/bmpx/Makefile
multimedia/bsdav/Makefile
multimedia/dirac/Makefile
multimedia/ffmpeg/Makefile
multimedia/ffmpeg-devel/Makefile
multimedia/gavl/Makefile
multimedia/gstreamer/Makefile
multimedia/gstreamer-editor/Makefile
multimedia/gstreamer-plugins/Makefile
multimedia/gstreamer-plugins80/Makefile
multimedia/gstreamer80/Makefile
multimedia/helixplayer/Makefile
multimedia/k9copy/Makefile
multimedia/kaffeine/Makefile
multimedia/kdemultimedia3/Makefile
multimedia/libdivxdecore/Makefile
multimedia/libdivxdecore-devel/Makefile
multimedia/libdivxencore/Makefile
multimedia/libdv/Makefile
multimedia/libdvbpsi/Makefile
multimedia/libdvdcss/Makefile
multimedia/libdvdnav/Makefile
multimedia/libdvdplay/Makefile
multimedia/libdvdread/Makefile
multimedia/libfame/Makefile
multimedia/libmatroska/Makefile
multimedia/libmpeg2/Makefile
multimedia/libquicktime/Makefile
multimedia/libtheora/Makefile
multimedia/libxine/Makefile
multimedia/mjpegtools/Makefile
multimedia/mpeg4ip/Makefile
multimedia/mpeg4ip-libmp4v2/Makefile
multimedia/noatun-plugins/Makefile
multimedia/ogle/Makefile
multimedia/ogmrip/Makefile
multimedia/openquicktime/Makefile
multimedia/pitivi/Makefile
multimedia/smpeg/Makefile
multimedia/slideshow/Makefile
multimedia/totem/Makefile
multimedia/transcode/Makefile
multimedia/vcdimager/Makefile
multimedia/vlc/Makefile
multimedia/vlc-devel/Makefile
multimedia/xawtv/Makefile
multimedia/xfce4-media/Makefile
multimedia/xfce4-xmms-controller-plugin/Makefile
multimedia/xine_artsplugin/Makefile
multimedia/xmms/Makefile
multimedia/xmps/Makefile
multimedia/xmps-win32-plugin/Makefile
multimedia/xvid/Makefile
net/GeoIP/Makefile
net/adasockets/Makefile
net/arla/Makefile
net/atmsupport/Makefile
net/avahi/Makefile
net/cyphesis/Makefile
net/dante/Makefile
net/dhcp-agent/Makefile
net/easysoap/Makefile
net/freeradius/Makefile
net/gmdns/Makefile
net/gnet/Makefile
net/gnet-glib2/Makefile
net/gnet2/Makefile
net/gnu-radius/Makefile
net/gsk/Makefile
net/hawknl/Makefile
net/hawknl-devel/Makefile
net/honeyd/Makefile
net/howl/Makefile
net/ilbc/Makefile
net/kdenetwork3/Makefile
net/lanbrowsing/Makefile
net/libdnet/Makefile
net/libexosip2/Makefile
net/libgnetwork/Makefile
net/libmms/Makefile
net/libnetdude/Makefile
net/libnss-mysql/Makefile
net/libosip/Makefile
net/libosip2/Makefile
net/libpcapnav/Makefile
net/librsync/Makefile
net/libsocket++/Makefile
net/libsocketcpp/Makefile
net/libtnl/Makefile
net/linc/Makefile
net/linphone-base/Makefile
net/net6/Makefile
net/netdude/Makefile
net/nss_ldap/Makefile
net/ntop/Makefile
net/opal/Makefile
net/openh323/Makefile
net/openldap22-server/Makefile
net/openldap22-server/Makefile
net/openldap23-server/Makefile
net/openldap23-server/Makefile
net/openldap24-server/Makefile
net/openldap24-server/Makefile
net/openslp/Makefile
net/ortp/Makefile
net/ossp-sa/Makefile
net/proxychains/Makefile
net/pvm++/Makefile
net/quagga/Makefile
net/radiusclient/Makefile
net/rexx-sock/Makefile
net/roadrunner/Makefile
net/rrdtool/Makefile
net/rrdtool10/Makefile
net/samba-libsmbclient/Makefile
net/sdl_net/Makefile
net/serveez/Makefile
net/skstream/Makefile
net/smb4k/Makefile
net/socketbind/Makefile
net/socks5/Makefile
net/spread/Makefile
net/tapidbus/Makefile
net/tn5250/Makefile
net/trickle/Makefile
net/tsocks/Makefile
net/ulxmlrpcpp/Makefile
net/vde/Makefile
net/vls/Makefile
net/wireshark/Makefile
net/xmlrpc-c/Makefile
net/yaz/Makefile
net/yaz++/Makefile
net/yazproxy/Makefile
net/yptransitd/Makefile
net-im/aim/Makefile
net-im/firetalk/Makefile
net-im/gaim/Makefile
net-im/gale/Makefile
net-im/gloox/Makefile
net-im/gtkyahoo/Makefile
net-im/icqlib/Makefile
net-im/kopete/Makefile
net-im/libicq/Makefile
net-im/libicq2000/Makefile
net-im/libmsn/Makefile
net-im/libyahoo2/Makefile
net-im/loudmouth/Makefile
net-im/meanwhile/Makefile
net-im/sim-im/Makefile
net-mgmt/arts++/Makefile
net-mgmt/bsnmpd/Makefile
net-mgmt/cflowd/Makefile
net-mgmt/libsmi/Makefile
net-mgmt/net-snmp/Makefile
net-mgmt/net-snmp4/Makefile
net-mgmt/sendip/Makefile
net-p2p/dclib/Makefile
net-p2p/gift/Makefile
net-p2p/gnunet/Makefile
net-p2p/kmldonkey/Makefile
net-p2p/libfreenet/Makefile
net-p2p/libpdtp/Makefile
net-p2p/libtorrent/Makefile
net-p2p/verlihub/Makefile
net-p2p/verlihub-plugins/Makefile
news/husky-fidoconf/Makefile
news/husky-fidoconf-devel/Makefile
news/husky-smapi/Makefile
news/husky-smapi-devel/Makefile
news/nntpswitch/Makefile
palm/coldsync/Makefile
palm/gnome-pilot/Makefile
palm/jpilot/Makefile
palm/libmal/Makefile
palm/pilot-link/Makefile
palm/pilot-link-devel/Makefile
palm/synce-gnomevfs/Makefile
palm/synce-librapi2/Makefile
palm/synce-libsynce/Makefile
palm/synce-rra/Makefile
polish/ekg/Makefile
polish/ekg2/Makefile
polish/gnugadu2/Makefile
polish/libgadu/Makefile
polish/libtlen/Makefile
print/a2ps-letter/Makefile
print/clibpdf/Makefile
print/fontforge/Makefile
print/freetype/Makefile
print/freetype2/Makefile
print/ghostscript-afpl/Makefile
print/ghostscript-gnu/Makefile
print/ghostscript-gpl/Makefile
print/gimp-print/Makefile
print/gl2ps/Makefile
print/gnome-cups-manager/Makefile
print/gnome-print/Makefile
print/gutenprint/Makefile
print/hplip/Makefile
print/ifhp/Makefile
print/libgnomecups/Makefile
print/libgnomeprint/Makefile
print/libgnomeprintmm/Makefile
print/libijs/Makefile
print/libotf/Makefile
print/libpaper/Makefile
print/libppd/Makefile
print/panda/Makefile
print/pdflib/Makefile
print/pslib/Makefile
print/xfce4-print/Makefile
russian/libcyrillic/Makefile
science/bblimage/Makefile
science/buddy/Makefile
science/cdf/Makefile
science/elmer-fem/Makefile
science/hdf/Makefile
science/gchempaint/Makefile
science/gchemutils/Makefile
science/gerris/Makefile
science/ghmm/Makefile
science/gromacs/Makefile
science/gsystem/Makefile
science/hdf5/Makefile
science/kst/Makefile
science/minc/Makefile
science/minc2/Makefile
science/netcdf/Makefile
science/omnetpp/Makefile
science/openbabel/Makefile
science/ovt/Makefile
science/szip/Makefile
science/vis5d+/Makefile
science/svmlight/Makefile
security/beecrypt/Makefile
security/bioapi/Makefile
security/borzoi/Makefile
security/botan/Makefile
security/bsp_upektfmess/Makefile
security/courier-authlib/Makefile
security/cracklib/Makefile
security/cryptplug/Makefile
security/cutlass/Makefile
security/cyrus-sasl/Makefile
security/cyrus-sasl2/Makefile
security/cyrus-sasl2-ldapdb/Makefile
security/distcache/Makefile
security/distcache-devel/Makefile
security/fakeroot/Makefile
security/fwbuilder/Makefile
security/gnome-keyring/Makefile
security/gnupg-devel/Makefile
security/gnutls/Makefile
security/gpgme/Makefile
security/gpgme03/Makefile
security/gsasl/Makefile
security/gss/Makefile
security/heimdal/Makefile
security/ifd-devkit/Makefile
security/ifd-gempc410/Makefile
security/ifd-gpr400/Makefile
security/ipsec-tools/Makefile
security/krb4/Makefile
security/krb5/Makefile
security/libecc/Makefile
security/libfwbuilder/Makefile
security/libgcrypt/Makefile
security/libgpg-error/Makefile
security/libgringotts/Makefile
security/libident/Makefile
security/libksba/Makefile
security/libmcrypt/Makefile
security/libntlm/Makefile
security/libotr/Makefile
security/libp11/Makefile
security/libparanoia/Makefile
security/libprelude/Makefile
security/libpreludedb/Makefile
security/libsectok/Makefile
security/libssh2/Makefile
security/libtasn1/Makefile
security/lockdown/Makefile
security/matrixssl/Makefile
security/mhash/Makefile
security/nessus-libnasl/Makefile
security/nessus-libraries/Makefile
security/nettle/Makefile
security/newpki-lib/Makefile
security/nss/Makefile
security/openbsm/Makefile
security/opencdk/Makefile
security/openct/Makefile
security/opensc/Makefile
security/openssl/Makefile
security/pam_bsdbioapi/Makefile
security/pam_smb/Makefile
security/pinentry/Makefile
security/prelude-manager/Makefile
security/saferpay/Makefile
security/seahorse/Makefile
security/sectok/Makefile
security/shishi/Makefile
security/tclsasl/Makefile
security/vscan/Makefile
security/xmlsec/Makefile
security/xmlsec1/Makefile
security/linux-krb5-libs/Makefile
security/linux-openssl/Makefile
sysutils/LPRng/Makefile
sysutils/LPRngTool/Makefile
sysutils/am-utils/Makefile
sysutils/ccze/Makefile
sysutils/cdbakeoven/Makefile
sysutils/cpu/Makefile
sysutils/dar/Makefile
sysutils/desktopbsd-tools/Makefile
sysutils/e2fsprogs/Makefile
sysutils/eventwatcher/Makefile
sysutils/file/Makefile
sysutils/freeipmi/Makefile
sysutils/ftrace/Makefile
sysutils/fusefs-libs/Makefile
sysutils/ganglia-monitor-core/Makefile
sysutils/gnome-control-center/Makefile
sysutils/heartbeat/Makefile
sysutils/k3b/Makefile
sysutils/kcube/Makefile
sysutils/kdeadmin3/Makefile
sysutils/klaptopdaemon/Makefile
sysutils/kmilo/Makefile
sysutils/libcdio/Makefile
sysutils/libgksu/Makefile
sysutils/libgksuui/Makefile
sysutils/libieee1284/Makefile
sysutils/libutempter/Makefile
sysutils/lineak-xosdplugin/Makefile
sysutils/lineakd/Makefile
sysutils/lookupd/Makefile
sysutils/lookupd_ldap/Makefile
sysutils/memgrep/Makefile
sysutils/msyslog/Makefile
sysutils/nautilus-cd-burner/Makefile
sysutils/ntfsprogs/Makefile
sysutils/portmanager/Makefile
sysutils/portupgrade/Makefile
sysutils/portupgrade-devel/Makefile
sysutils/progsreiserfs/Makefile
sysutils/scanbuttond/Makefile
sysutils/sge/Makefile
sysutils/uptimed/Makefile
sysutils/xfce4-battery-plugin/Makefile
sysutils/xfce4-genmon-plugin/Makefile
sysutils/xfce4-mcs-plugins/Makefile
sysutils/xfce4-netload-plugin/Makefile
sysutils/xfce4-showdesktop-plugin/Makefile
sysutils/xfce4-systemload-plugin/Makefile
sysutils/xfce4-utils/Makefile
sysutils/xfce4-wavelan-plugin/Makefile
sysutils/linux-e2fsprogs/Makefile
textproc/aiksaurus/Makefile
textproc/btparse/Makefile
textproc/cole/Makefile
textproc/ctpp/Makefile
textproc/domc/Makefile
textproc/enchant/Makefile
textproc/eruby/Makefile
textproc/exml/Makefile
textproc/expat2/Makefile
textproc/gdome2/Makefile
textproc/gmetadom/Makefile
textproc/google-ctemplate/Makefile
textproc/gtkspell/Makefile
textproc/hyperestraier/Makefile
textproc/iiimf-client-lib/Makefile
textproc/iiimf-protocol-lib/Makefile
textproc/iiimf-server/Makefile
textproc/iksemel/Makefile
textproc/jade/Makefile
textproc/latte/Makefile
textproc/lemmatizer/Makefile
textproc/libcroco/Makefile
textproc/libebml/Makefile
textproc/libextractor/Makefile
textproc/liblingoteach/Makefile
textproc/liblrdf/Makefile
textproc/libnxml/Makefile
textproc/libparsifal/Makefile
textproc/libpathan/Makefile
textproc/libstree/Makefile
textproc/libtranslate/Makefile
textproc/libtre/Makefile
textproc/libuninameslist/Makefile
textproc/libwpd/Makefile
textproc/libxdiff/Makefile
textproc/libxml/Makefile
textproc/libxml++/Makefile
textproc/libxml++26/Makefile
textproc/libxml2/Makefile
textproc/libxode/Makefile
textproc/libxslt/Makefile
textproc/link-grammar/Makefile
textproc/linux-expat/Makefile
textproc/linux-libxml/Makefile
textproc/mifluz/Makefile
textproc/minidom/Makefile
textproc/modlogan/Makefile
textproc/nunnimcax/Makefile
textproc/openjade/Makefile
textproc/opensp/Makefile
textproc/pcrs/Makefile
textproc/py-ltxml/Makefile
textproc/raptor/Makefile
textproc/rast/Makefile
textproc/redland/Makefile
textproc/sablotron/Makefile
textproc/sary/Makefile
textproc/scim/Makefile
textproc/scim-input-pad/Makefile
textproc/scrollkeeper/Makefile
textproc/senna/Makefile
textproc/sp/Makefile
textproc/tclExpat/Makefile
textproc/tinyxml/Makefile
textproc/uim/Makefile
textproc/wbxml2/Makefile
textproc/wordnet/Makefile
textproc/wv/Makefile
textproc/wv2/Makefile
textproc/xalan-c/Makefile
textproc/xerces-c/Makefile
textproc/xerces-c2/Makefile
textproc/xls2xml/Makefile
textproc/xmlada/Makefile
textproc/xmlroff/Makefile
textproc/xmlwrapp/Makefile
textproc/yamcha/Makefile
vietnamese/xvnkb/Makefile
www/apache20/Makefile
www/apache21/Makefile
www/apache22/Makefile
www/c-icap/Makefile
www/cgic/Makefile
www/cgicc/Makefile
www/cgihtml/Makefile
www/cgiparse/Makefile
www/cherokee/Makefile
www/dpsearch/Makefile
www/fcgi/Makefile
www/glibwww/Makefile
www/gtkhtml/Makefile
www/gtkhtml3/Makefile
www/harvest/Makefile
www/httrack/Makefile
www/kazehakase/Makefile
www/libghttp/Makefile
www/libgtkhtml/Makefile
www/libwww/Makefile
www/mnogosearch/Makefile
www/mnogosearch31/Makefile
www/mod_webapp/Makefile
www/neon/Makefile
www/openvrml/Makefile
www/osb-nrcit/Makefile
www/osb-nrcore/Makefile
www/p5-Apache-Scoreboard/Makefile
www/p5-Apache2-Scoreboard/Makefile
www/raqdevil/Makefile
www/swfdec-plugin/Makefile
www/tdom/Makefile
www/tidy-devel/Makefile
www/wsdlpull/Makefile
x11/dgs/Makefile
x11/XFree86/Makefile
x11/XFree86-4-libraries/Makefile
x11/alltray/Makefile
x11/ecore/Makefile
x11/eterm/Makefile
x11/gdkxft/Makefile
x11/gnome-applets/Makefile
x11/gnome-desktop/Makefile
x11/gnome-libs/Makefile
x11/gnome-menus/Makefile
x11/gnome-panel/Makefile
x11/gpctool/Makefile
x11/kdebase3/Makefile
x11/kdelibs3/Makefile
x11/libGL/Makefile
x11/libICE/Makefile
x11/libSM/Makefile
x11/libX11/Makefile
x11/libXau/Makefile
x11/libXcomposite/Makefile
x11/libXcursor/Makefile
x11/libXdamage/Makefile
x11/libXdmcp/Makefile
x11/libXext/Makefile
x11/libXfixes/Makefile
x11/libXfont/Makefile
x11/libXi/Makefile
x11/libXinerama/Makefile
x11/libXp/Makefile
x11/libXpm/Makefile
x11/libXrandr/Makefile
x11/libXrender/Makefile
x11/libXres/Makefile
x11/libXv/Makefile
x11/libXxf86/Makefile
x11/libcapplet/Makefile
x11/libdnd/Makefile
x11/libexo/Makefile
x11/libgnome/Makefile
x11/libgnome-java/Makefile
x11/libgnomemm/Makefile
x11/libgnomemm26/Makefile
x11/libsynaptics/Makefile
x11/libxfce4mcs/Makefile
x11/libxfce4util/Makefile
x11/libxkbfile/Makefile
x11/libxklavier/Makefile
x11/linux-xorg-libs/Makefile
x11/mlterm/Makefile
x11/nvidia-driver/Makefile
x11/rxvt-devel/Makefile
x11/startup-notification/Makefile
x11/tkXwin/Makefile
x11/xfce4-clipman-plugin/Makefile
x11/xorg-libraries/Makefile
x11/xscreensaver-kde/Makefile
x11-clocks/kdetoys3/Makefile
x11-clocks/xfce4-datetime-plugin/Makefile
x11-fm/emelfm2/Makefile
x11-fm/krusader/Makefile
x11-fm/nautilus/Makefile
x11-fm/pcmanfm/Makefile
x11-fm/xfce4-fm/Makefile
x11-fonts/fontconfig/Makefile
x11-fonts/libXft/Makefile
x11-fonts/linux-fontconfig/Makefile
x11-servers/driglide/Makefile
x11-themes/kdeartwork3/Makefile
x11-themes/phase/Makefile
x11-themes/qinx/Makefile
x11-themes/qnxstyle/Makefile
x11-toolkits/SoXt/Makefile
x11-toolkits/Xaw3d/Makefile
x11-toolkits/XawPlus/Makefile
x11-toolkits/bakery/Makefile
x11-toolkits/blt/Makefile
x11-toolkits/easygtk/Makefile
x11-toolkits/eel/Makefile
x11-toolkits/efltk/Makefile
x11-toolkits/etox/Makefile
x11-toolkits/ewl/Makefile
x11-toolkits/fl_editor/Makefile
x11-toolkits/fltk/Makefile
x11-toolkits/flu/Makefile
x11-toolkits/flvw/Makefile
x11-toolkits/fox10/Makefile
x11-toolkits/fox12/Makefile
x11-toolkits/fox14/Makefile
x11-toolkits/fox16/Makefile
x11-toolkits/fxscintilla/Makefile
x11-toolkits/gai/Makefile
x11-toolkits/gal/Makefile
x11-toolkits/gal2/Makefile
x11-toolkits/gdl/Makefile
x11-toolkits/gnocl/Makefile
x11-toolkits/gtk-sharp10/Makefile
x11-toolkits/gtk-sharp20/Makefile
x11-toolkits/gtk12/Makefile
x11-toolkits/gtk20/Makefile
x11-toolkits/gtkada/Makefile
x11-toolkits/gtkada-devel/Makefile
x11-toolkits/gtkdatabox2/Makefile
x11-toolkits/gtkextra/Makefile
x11-toolkits/gtkextra2/Makefile
x11-toolkits/gtkglarea/Makefile
x11-toolkits/gtkglarea--/Makefile
x11-toolkits/gtkglarea2/Makefile
x11-toolkits/gtkglext/Makefile
x11-toolkits/gtkglextmm/Makefile
x11-toolkits/gtkmathview/Makefile
x11-toolkits/gtkmm12/Makefile
x11-toolkits/gtkmm20/Makefile
x11-toolkits/gtkmm24/Makefile
x11-toolkits/gtkscintilla/Makefile
x11-toolkits/gtksourceview/Makefile
x11-toolkits/gtoolkit/Makefile
x11-toolkits/guile-gnome/Makefile
x11-toolkits/guile-gtk/Makefile
x11-toolkits/inti/Makefile
x11-toolkits/inti-gconf/Makefile
x11-toolkits/inti-gl/Makefile
x11-toolkits/inti-sourceview/Makefile
x11-toolkits/irrlicht/Makefile
x11-toolkits/itk/Makefile
x11-toolkits/lesstif/Makefile
x11-toolkits/libXaw/Makefile
x11-toolkits/libXmu/Makefile
x11-toolkits/libXt/Makefile
x11-toolkits/libbonoboui/Makefile
x11-toolkits/libbonobouimm/Makefile
x11-toolkits/libgail-gnome/Makefile
x11-toolkits/libgdiplus/Makefile
x11-toolkits/libgnomeprintui/Makefile
x11-toolkits/libgnomeprintuimm/Makefile
x11-toolkits/libgnomeui/Makefile
x11-toolkits/libgnomeuimm/Makefile
x11-toolkits/libgnomeuimm26/Makefile
x11-toolkits/libgtk-java/Makefile
x11-toolkits/libgtkeditor/Makefile
x11-toolkits/libpanelappletmm/Makefile
x11-toolkits/libsexy/Makefile
x11-toolkits/libsexymm/Makefile
x11-toolkits/libwnck/Makefile
x11-toolkits/libxfce4gui/Makefile
x11-toolkits/libzvt/Makefile
x11-toolkits/linux-gtk/Makefile
x11-toolkits/linux-gtk2/Makefile
x11-toolkits/linux-pango/Makefile
x11-toolkits/mesgui/Makefile
x11-toolkits/movingmotif/Makefile
x11-toolkits/mowitz/Makefile
x11-toolkits/neXtaw/Makefile
x11-toolkits/open-motif/Makefile
x11-toolkits/p5-qt/Makefile
x11-toolkits/pango/Makefile
x11-toolkits/pangoxsl/Makefile
x11-toolkits/paragui/Makefile
x11-toolkits/paragui-devel/Makefile
x11-toolkits/php-gtk/Makefile
x11-toolkits/py-wxPython26/Makefile
x11-toolkits/qscintilla/Makefile
x11-toolkits/qt33/Makefile
x11-toolkits/qwt/Makefile
x11-toolkits/scintilla/Makefile
x11-toolkits/sdl_gui/Makefile
x11-toolkits/slingshot/Makefile
x11-toolkits/soqt/Makefile
x11-toolkits/swt31/Makefile
x11-toolkits/tix/Makefile
x11-toolkits/tk80/Makefile
x11-toolkits/tk82/Makefile
x11-toolkits/tk83/Makefile
x11-toolkits/tk84/Makefile
x11-toolkits/tkstep80/Makefile
x11-toolkits/vdk/Makefile
x11-toolkits/vdkbuilder/Makefile
x11-toolkits/vte/Makefile
x11-toolkits/wxgtk24/Makefile
x11-toolkits/wxgtk26/Makefile
x11-toolkits/wxmozilla/Makefile
x11-toolkits/xbae/Makefile
x11-toolkits/xclasses/Makefile
x11-toolkits/xforms/Makefile
x11-toolkits/xmhtml/Makefile
x11-toolkits/xview/Makefile
x11-wm/epplets/Makefile
x11-wm/expocity/Makefile
x11-wm/kompmgr/Makefile
x11-wm/libdockapp/Makefile
x11-wm/metacity/Makefile
x11-wm/openbox/Makefile
x11-wm/windowmaker/Makefile
x11-wm/xfce4-desktop/Makefile
x11-wm/xfce4-panel/Makefile
x11-wm/xfce4-session/Makefile
x11-wm/xfce4-systray/Makefile
x11-wm/xfce4-wm/Makefile
Comment 1 Edwin Groothuis freebsd_committer 2006-08-12 12:43:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

clsung@ wanted to have these.
Comment 2 vs freebsd_committer 2006-08-30 05:38:05 UTC
Hm, please be careful with this: this patch introduced an error at  
least in databases/clip since LDCONFIG_DIRS was set. In that case,  
setting 'USE_LDCONFIG=yes' will force LDCONFIG_DIRS *back* *to* *the*  
*default* *value*, thus breaking the intended mechanism of runnung  
ldconfig on a custom directory.

Is this analysis correct? Please identify the ports on your list that  
also set LDCONFIG_DIRS!

Volker
Comment 3 clsung freebsd_committer 2006-08-30 05:53:22 UTC
On Wed, Aug 30, 2006 at 12:38:05PM +0800, Volker Stolz wrote:
> Hm, please be careful with this: this patch introduced an error at  
> least in databases/clip since LDCONFIG_DIRS was set. In that case,  
> setting 'USE_LDCONFIG=yes' will force LDCONFIG_DIRS *back* *to* *the*  
> *default* *value*, thus breaking the intended mechanism of runnung  
> ldconfig on a custom directory.
> 
> Is this analysis correct? Please identify the ports on your list that  
> also set LDCONFIG_DIRS!
> 
> Volker


    Can I have the error log?

== copy from bsd.port.mk ==
.if defined(INSTALLS_SHLIB)
LDCONFIG_DIRS?= %%PREFIX%%/lib
LDCONFIG_PLIST!=        ${ECHO_CMD} ${LDCONFIG_DIRS} | ${SED} ${PLIST_SUB:S/$/!g/:S/^/ -e s!%%/:S/=/%%!/}
LDCONFIG_RUNLIST!=      ${ECHO_CMD} ${LDCONFIG_PLIST} | ${SED} -e "s!%D!${PREFIX}!g"
.endif
== end ==

In databases/clip, LDCONFIG_DIRS will become useless, maybe we should remove
it,too.

-- 
Cheng-Lung Sung - clsung@
Comment 4 vs freebsd_committer 2006-08-30 05:58:35 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 30.08.2006, at 12:53, Cheng-Lung Sung wrote:

> On Wed, Aug 30, 2006 at 12:38:05PM +0800, Volker Stolz wrote:
>> Hm, please be careful with this: this patch introduced an error at
>> least in databases/clip since LDCONFIG_DIRS was set. In that case,
>> setting 'USE_LDCONFIG=yes' will force LDCONFIG_DIRS *back* *to* *the*
>> *default* *value*, thus breaking the intended mechanism of runnung
>> ldconfig on a custom directory.
>
> In databases/clip, LDCONFIG_DIRS will become useless, maybe we  
> should remove
> it,too.

Only if you Do The Right Thing, e.g. setting USE_LDCONFIG to the  
value now stored in LDCONFIG_DIRS (untested).
- --
"In Macao ist alles besser!"
http://lambda.foldr.org/~vs/


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (Darwin)

iQCVAwUBRPUbARLpPok/0ba1AQKpTwP7BDwsAF69infJg7D0Tydu6YO3n9O7aHt3
HvuGkF0S89JQaJbprkk1k7R+nNhpw4NyZj0jzHOZihg8n9G5NzlXsTFg3BnHTKeb
I2rWevC6bohfggGIHzM4cxNTVeBQgunfqmh30sxbR1Y10tbv4e0bpvdBKPsHzBkl
VXLTM0mgvMI=
=ZCMI
-----END PGP SIGNATURE-----
Comment 5 clsung freebsd_committer 2006-11-29 02:32:29 UTC
State Changed
From-To: open->closed

Most ports are updated with USE_LDCONFIG. Others will be 
processed by maintainer. Thank you.